claw::graphic::xbm::writer::options Struct Reference

Parameters of the writing algorithm. More...

`#include <xbm.hpp>`

## Public Member Functions

| options ()
| Default constructor.
| options (const std::string &n, const claw::math::coordinate_2d< int > *h)
| Constructor.

## Public Attributes

std::string | name
| The name of the image structure in the file.
const claw::math::coordinate_2d< int > * | hot
| The position of the hot spot in the image.

## Detailed Description

Parameters of the writing algorithm.

Definition at line 100 of file xbm.hpp.

## Constructor & Destructor Documentation

## options() [1/2]

claw::graphic::xbm::writer::options::options | ( |  | ) |

Default constructor.

Definition at line 37 of file xbm_writer.cpp.

References hot, and name.

## options() [2/2]

claw::graphic::xbm::writer::options::options | ( | const std::string & | n,
|  | const claw::math::coordinate_2d< int > * | h )

Constructor.

Parameters

  n | The name of the image structure in the file.
  h | The position of the hot spot in the image.

Definition at line 49 of file xbm_writer.cpp.

References hot, and name.

## Member Data Documentation

## hot

const claw::math::coordinate_2d<int>* claw::graphic::xbm::writer::options::hot

The position of the hot spot in the image.

Definition at line 113 of file xbm.hpp.

Referenced by options(), options(), and claw::graphic::xbm::writer::save().

## name

std::string claw::graphic::xbm::writer::options::name

The name of the image structure in the file.

Definition at line 110 of file xbm.hpp.

Referenced by options(), options(), and claw::graphic::xbm::writer::save().

The documentation for this struct was generated from the following files:

- xbm.hpp
- code/xbm_writer.cpp